Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5117)
@@ -17,16 +17,16 @@
   INTEGER, PARAMETER    :: nats=14 !number of mineral types (14 here for sand,
                                    ! silt, clay etc.)
-  integer, parameter :: nclass=200000
+  INTEGER, parameter :: nclass=200000
 
 
   real   , parameter :: dmin=0.0001
   real   , parameter :: dmax=0.2
-  integer, parameter :: nspe=nmode*3+1
+  INTEGER, parameter :: nspe=nmode*3+1
   real   ,parameter     :: vkarm=0.41
 !JE20150202 : updating scheme to chimere13b <<<
 ! original values
-!  integer, parameter :: div1=3.
-!  integer, parameter :: div2=3.
-!  integer, parameter :: div3=3.
+!  INTEGER, parameter :: div1=3.
+!  INTEGER, parameter :: div2=3.
+!  INTEGER, parameter :: div3=3.
 !  real   , parameter :: e1=3.61/div1
 !  real   , parameter :: e2=3.52/div2
@@ -41,10 +41,10 @@
 ! Div=3 from S. Alfaro (Sow et al ACPD 2011)
 !JE 20150206
-!  integer, parameter :: div1=3.
-!  integer, parameter :: div2=3.
-!  integer, parameter :: div3=3.
-  integer, parameter :: div1=6.
-  integer, parameter :: div2=6.
-  integer, parameter :: div3=6.
+!  INTEGER, parameter :: div1=3.
+!  INTEGER, parameter :: div2=3.
+!  INTEGER, parameter :: div3=3.
+  INTEGER, parameter :: div1=6.
+  INTEGER, parameter :: div2=6.
+  INTEGER, parameter :: div3=6.
   real   , parameter :: e1=3.61/div1
   real   , parameter :: e2=3.52/div2
@@ -59,8 +59,8 @@
 !  real   , parameter :: cd=1.0*roa/gravity
 !JE20150202>>>>
-  real,parameter     :: beta=16300.
-  real, parameter, dimension(3) :: diam=(/1.5,6.7,14.2/)
+  REAL,parameter     :: beta=16300.
+  REAL, parameter, DIMENSION(3) :: diam=(/1.5,6.7,14.2/)
   INTEGER, PARAMETER     :: ndistb=3
-  real, parameter, dimension(3) :: sig=(/1.7,1.6,1.5/)
+  REAL, parameter, DIMENSION(3) :: sig=(/1.7,1.6,1.5/)
 
 !   INTEGER, PARAMETER     :: nbinsHR=3000 !original
@@ -259,5 +259,5 @@
       maskdustloc(k)=0
       do i=1,ntyp
-         if (masklisa(k,i)>0) THEN
+         IF (masklisa(k,i)>0) THEN
              maskdustloc(k)=1
          endif
@@ -296,58 +296,58 @@
   INTEGER,DIMENSION(klon) :: maskdust ! where the emissions were calculated
   REAL,DIMENSION(klon,nbsrf),     INTENT(IN)     :: pctsrf
-!  real,parameter :: sizeacclow=0.03
-!  real,parameter :: sizeacchigh=0.5
-!  real,parameter :: sizecoalow=0.5
-!  real,parameter :: sizecoahigh=10.  ! in micrometers
-  real,parameter :: sizeacclow=0.06
-  real,parameter :: sizeacchigh=1.0
-  real,parameter :: sizecoalow=1.0
-  real,parameter :: sizecoahigh=6.  !20 ! diameter in micrometers
-  real,parameter :: sizescolow=6.
-  real,parameter :: sizescohigh=30.  ! in micrometers
+!  REAL,parameter :: sizeacclow=0.03
+!  REAL,parameter :: sizeacchigh=0.5
+!  REAL,parameter :: sizecoalow=0.5
+!  REAL,parameter :: sizecoahigh=10.  ! in micrometers
+  REAL,parameter :: sizeacclow=0.06
+  REAL,parameter :: sizeacchigh=1.0
+  REAL,parameter :: sizecoalow=1.0
+  REAL,parameter :: sizecoahigh=6.  !20 ! diameter in micrometers
+  REAL,parameter :: sizescolow=6.
+  REAL,parameter :: sizescohigh=30.  ! in micrometers
 !--------------------------------
-!  real,parameter :: tuningfactorfine=0.9  ! factor for fine bins!!! important!!
-  real,parameter :: tuningfactorfine=0.8  ! factor for fine bins!!! important!!
-!  real,parameter :: tuningfactorfine=4.5  ! factor for fine bins!!! important!!
-!  real,parameter :: tuningfactorcoa=3.6 ! factor for coarse bins!!! important!!
-  real,parameter :: tuningfactorcoa=3.25 ! factor for coarse bins!!! important!!
-!  real,parameter :: tuningfactorcoa=4.5  ! factor for coarse bins!!! important!!
-!  real,parameter :: tuningfactorsco=3.6  ! factor for supercoarse bins!!! important!!
-  real,parameter :: tuningfactorsco=3.25  ! factor for supercoarse bins!!! important!!
-!  real,parameter :: tuningfactorsco=4.5  ! factor for supercoarse bins!!! important!!
-  real,parameter :: basesumemission= 0.0  !1.e-6  ! emissions to SUM to each land pixel FOR ASSIMILATION ONLY important!!  in mg/m2/s, per bin
+!  REAL,parameter :: tuningfactorfine=0.9  ! factor for fine bins!!! important!!
+  REAL,parameter :: tuningfactorfine=0.8  ! factor for fine bins!!! important!!
+!  REAL,parameter :: tuningfactorfine=4.5  ! factor for fine bins!!! important!!
+!  REAL,parameter :: tuningfactorcoa=3.6 ! factor for coarse bins!!! important!!
+  REAL,parameter :: tuningfactorcoa=3.25 ! factor for coarse bins!!! important!!
+!  REAL,parameter :: tuningfactorcoa=4.5  ! factor for coarse bins!!! important!!
+!  REAL,parameter :: tuningfactorsco=3.6  ! factor for supercoarse bins!!! important!!
+  REAL,parameter :: tuningfactorsco=3.25  ! factor for supercoarse bins!!! important!!
+!  REAL,parameter :: tuningfactorsco=4.5  ! factor for supercoarse bins!!! important!!
+  REAL,parameter :: basesumemission= 0.0  !1.e-6  ! emissions to SUM to each land pixel FOR ASSIMILATION ONLY important!!  in mg/m2/s, per bin
  !basesumemission = 1.e-6 increase the AOD in about 12%  (0.03 of AOD) , 
  !while 1e-8 increase in about 0.12%  (0.003 of AOD)
 
-  real,dimension(klon) :: basesumacc,basesumcoa,basesumsco
+  REAL,DIMENSION(klon) :: basesumacc,basesumcoa,basesumsco
 !--------------------------------
-!JE20140915  real,parameter :: sizeacclow=0.06
-!JE20140915  real,parameter :: sizeacchigh=1.0
-!JE20140915  real,parameter :: sizecoalow=1.0
-!JE20140915  real,parameter :: sizecoahigh=10.  !20 ! diameter in micrometers
-!JE20140915  real,parameter :: sizescolow=10.
-!JE20140915  real,parameter :: sizescohigh=30.  ! in micrometers
-
-
-
-  logical ::  debutphy
+!JE20140915  REAL,parameter :: sizeacclow=0.06
+!JE20140915  REAL,parameter :: sizeacchigh=1.0
+!JE20140915  REAL,parameter :: sizecoalow=1.0
+!JE20140915  REAL,parameter :: sizecoahigh=10.  !20 ! diameter in micrometers
+!JE20140915  REAL,parameter :: sizescolow=10.
+!JE20140915  REAL,parameter :: sizescohigh=30.  ! in micrometers
+
+
+
+  LOGICAL ::  debutphy
   REAL :: diff, auxr1,auxr2,auxr3,auxr4
-  real,dimension(klon,nbins) :: itvmean
-  real,dimension(klon,nbins+1) :: itv2
-!  real,dimension(klon_glo,nbins) :: itvmean_glo
-!  real,dimension(:,:) , allocatable  :: itvmean_glo
-!  real,dimension(:,:), allocatable :: itv2_glo
+  REAL,DIMENSION(klon,nbins) :: itvmean
+  REAL,DIMENSION(klon,nbins+1) :: itv2
+!  REAL,DIMENSION(klon_glo,nbins) :: itvmean_glo
+!  REAL,DIMENSION(:,:) , ALLOCATABLE  :: itvmean_glo
+!  REAL,DIMENSION(:,:), ALLOCATABLE :: itv2_glo
   
-  integer, save :: counter,counter1 !dbg
+  INTEGER, save :: counter,counter1 !dbg
   REAL, DIMENSION(:,:),ALLOCATABLE,SAVE :: emisbinlocalmean,emisbinlocalmean2 !dbg
   REAL, DIMENSION(:,:),ALLOCATABLE :: emisbinlocalmean2_glo 
-  logical :: writeaerosoldistrib
+  LOGICAL :: writeaerosoldistrib
 !$OMP THREADPRIVATE(iminacclow,iminacchigh,imincoalow,imincoahigh)
 
 writeaerosoldistrib=.FALSE.
 IF (debutphy) THEN
-  if (sizedustmin>sizeacclow .or. sizedustmax<sizescohigh) THEN
+  IF (sizedustmin>sizeacclow .OR. sizedustmax<sizescohigh) THEN
    CALL abort_gcm('adaptdustemission', 'Dust range problem',1)
-  endif
+  ENDIF
   print *,'FINE DUST BIN: tuning EMISSION factor= ',tuningfactorfine
   print *,'COA DUST BIN: tuning EMISSION factor= ',tuningfactorcoa
@@ -359,19 +359,19 @@
   auxr4=9999.
   do i=1,nbins+1
-   if (abs(sizeacclow-itv(i))<auxr1) THEN
+   IF (abs(sizeacclow-itv(i))<auxr1) THEN
           auxr1=abs( sizeacclow-itv(i))
           iminacclow=i
    endif
-   if (abs(sizeacchigh-itv(i))<auxr2) THEN
+   IF (abs(sizeacchigh-itv(i))<auxr2) THEN
           auxr2=abs( sizeacchigh-itv(i))
           iminacchigh=i
           imincoalow=i
    endif
-   if (abs(sizecoahigh-itv(i))<auxr3) THEN
+   IF (abs(sizecoahigh-itv(i))<auxr3) THEN
           auxr3=abs( sizecoahigh-itv(i))
           imincoahigh=i
           iminscolow=i
    endif
-   if (abs(sizescohigh-itv(i))<auxr4) THEN
+   IF (abs(sizescohigh-itv(i))<auxr4) THEN
           auxr4=abs( sizescohigh-itv(i))
           iminscohigh=i
@@ -478,5 +478,5 @@
 ! 480 = 5 days
 IF (MOD(counter,1440)== 0) THEN
-   !if (MOD(counter,480).eq. 0) THEN
+   !if (MOD(counter,480).EQ. 0) THEN
    do k = 1,klon
    do i=1,nbins
@@ -671,9 +671,9 @@
     !print *,Pini(i,1),Pini(i,2),Pini(i,3),Pini(i,4),Pini(i,5)
     DO nts=1,ntyp
-      !IF(xlon(i).ge.longmin.and.xlon(i).le.longmax.and. &
-      !&      xlat(i).ge.latmin.and.xlat(i).le.latmax    &
-      !&      .and.pctsrf(i)>0.5.and.Pini(i,nts)>0.)THEN
+      !IF(xlon(i).ge.longmin.AND.xlon(i).le.longmax.AND. &
+      !&      xlat(i).ge.latmin.AND.xlat(i).le.latmax    &
+      !&      .AND.pctsrf(i)>0.5.AND.Pini(i,nts)>0.)THEN
   ! JE20150605<< easier to read
-      IF(pctsrf(i,is_ter)>0.5.and.Pini(i,nts)>0.)THEN
+      IF(pctsrf(i,is_ter)>0.5.AND.Pini(i,nts)>0.)THEN
   ! JE20150605>>
            sol(i,nts) = solini(i,nts)
@@ -774,5 +774,5 @@
             cc=sqrt(1+ddust*(sizeclass(i)**(-2.5)))
             xk=sqrt(abs(rop*gravity*sizeclass(i)/roa))
-            if (bb<10.) THEN
+            IF (bb<10.) THEN
                dd=sqrt(1.928*(bb**0.092)-1.)
                uth(i)=0.129*xk*cc/dd
@@ -848,5 +848,5 @@
           do k=1,ntyp
      !     PRINT*,'IKKK ',i,klon,k,ntyp
-             if (zos(i,k)==0..or.z01(i,k)==0.) THEN
+             IF (zos(i,k)==0..or.z01(i,k)==0.) THEN
      !       if (zos(i,k)<=0..or.z01(i,k)<=0.) THEN
 !              if (zos(i,k)<0..or.z01(i,k)<0.) THEN
@@ -876,8 +876,8 @@
    !       PRINT*,'IKKK D ',i,klon,k,ntyp
               endif
-              if (feff(i,k)<0.)feff(i,k)=0.
-              if (feffdbg(i,k)<0.)feffdbg(i,k)=0.
-              if (feff(i,k)>1.)feff(i,k)=1.
-              if (feffdbg(i,k)>1.)feffdbg(i,k)=1.
+              IF (feff(i,k)<0.)feff(i,k)=0.
+              IF (feffdbg(i,k)<0.)feffdbg(i,k)=0.
+              IF (feff(i,k)>1.)feff(i,k)=1.
+              IF (feffdbg(i,k)>1.)feffdbg(i,k)=1.
     !      PRINT*,'IKKK E ',i,klon,k,ntyp
             endif
@@ -885,5 +885,5 @@
         enddo
 ! JE20150120<<
-  if (flag_feff == 0) THEN
+  IF (flag_feff == 0) THEN
     print *,'JE_dbg FORCED deactivated feff'
     do i=1,klon
@@ -892,5 +892,5 @@
       enddo
     enddo
-  endif
+  ENDIF
 ! JE20150120>>
 
@@ -1011,5 +1011,5 @@
 !           GOTO 60
 !        END IF
-!        IF(nb.eq.miniso)THEN
+!        IF(nb.EQ.miniso)THEN
 !           binsISOGRAD(k)=binsHR(nb)
 !           istart=nb+1
@@ -1239,12 +1239,12 @@
  
 
-                 !IF(n.eq.1.and.nat.eq.99)GOTO 80
-             !      IF(n.eq.1) PRINT*,'nat1=',nat,'sol1=',sol(i,n)
-                   IF(n==1.and.nat==99)GOTO 80
+                 !IF(n.EQ.1.AND.nat.EQ.99)GOTO 80
+             !      IF(n.EQ.1) PRINT*,'nat1=',nat,'sol1=',sol(i,n)
+                   IF(n==1.AND.nat==99)GOTO 80
 
              ENDIF
              IF(.TRUE.) THEN
                 nat=int(sol(i,n))
-                IF(n == 1 .and. nat >= 14 .or. nat < 1 .or. nat > 19) GOTO 80
+                IF(n == 1 .AND. nat >= 14 .OR. nat < 1 .OR. nat > 19) GOTO 80
              ENDIF
 !JE20150129>>>>
@@ -1256,5 +1256,5 @@
                       ustarsalt=0.
                    IF(ceff<=0..or.z0salt==0.)GOTO 80
-                   IF(cerod==0.or.cpcent==0.)GOTO 80
+                   IF(cerod==0.OR.cpcent==0.)GOTO 80
 ! in cm: utmin, umin, z10m, z0salt, ustarns
 ! in meters: modwm
@@ -1275,5 +1275,5 @@
       do ni=1,kfin
          fdp1=1.-(uth2(ni)/(ceff*ustarsalt))
-         if (fdp1<=0..or.srel2(nat,ni)==0.) THEN
+         IF (fdp1<=0..or.srel2(nat,ni)==0.) THEN
             ad1=0.
             ad2=0.
@@ -1374,6 +1374,6 @@
       IMPLICIT NONE
 
- integer i,n,kfin,ideb,ifin,istep,kfin2
-    real dsmin,dsmax
+ INTEGER i,n,kfin,ideb,ifin,istep,kfin2
+    REAL dsmin,dsmax
 
 ! estimation of the reduced soil size distribution
@@ -1426,6 +1426,6 @@
 
       IMPLICIT NONE
-      integer i1,i2,nclass,iout,ismin,ismax,k2,ihalf,idiff
-      real siz(nclass),ds
+      INTEGER i1,i2,nclass,iout,ismin,ismax,k2,ihalf,idiff
+      REAL siz(nclass),ds
 !c-----------------------------
       iout=0
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90	(revision 5117)
@@ -102,5 +102,5 @@
 !  else
 !   PRINT*,'beta from Reddy and Bocuher 2004 (original version), inscav_fisrt=',inscav_fisrt
-!  endif
+!  ENDIF
 
       alpha_r=0.001        !  coefficient d'impaction pour la pluie
@@ -201,5 +201,5 @@
 !  incloud scavenging
 !   IF(inscav_fisrt) THEN
-   if (iflag_lscav == 4) THEN
+   IF (iflag_lscav == 4) THEN
       beta=beta_fisrt(i,k)*rneb(i,k)
    else
@@ -208,5 +208,5 @@
       beta=beta/zmass(i,k)/oliq
       beta=MAX(0.,beta)
-   endif ! (iflag_lscav .eq. 4)
+   endif ! (iflag_lscav .EQ. 4)
    beta_v1(i,k)=beta    !! for output
 
@@ -282,5 +282,5 @@
 !                +d_tr_bcscav(i,k,it)*(paprs(i,k)-paprs(i,k+1))/RG  &
 !                +d_tr_evap(i,k,it)*(paprs(i,k)-paprs(i,k+1))/RG
-!      IF(it.eq.3) WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)'),&
+!      IF(it.EQ.3) WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)'),&
 !      k,'lsc conserv ',conserv,'insc',d_tr_insc(i,k,it),'bc',d_tr_bcscav(i,k,it),'ev',d_tr_evap(i,k,it)
 !       ENDDO
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 5117)
@@ -112,5 +112,5 @@
 !  else
 !   PRINT*,'beta from Reddy and Bocuher 2004 (original version), inscav_fisrt=',inscav_fisrt
-!  endif
+!  ENDIF
 
 !JE      alpha_r=0.001        !  coefficient d'impaction pour la pluie
@@ -212,5 +212,5 @@
 !  incloud scavenging
 !   IF(inscav_fisrt) THEN
-   if (iflag_lscav == 4) THEN
+   IF (iflag_lscav == 4) THEN
       beta=beta_fisrt(i,k)*rneb(i,k)
    else
@@ -219,5 +219,5 @@
       beta=beta/zmass(i,k)/oliq
       beta=MAX(0.,beta)
-   endif ! (iflag_lscav .eq. 4)
+   endif ! (iflag_lscav .EQ. 4)
    beta_v1(i,k)=beta    !! for output
 
@@ -293,5 +293,5 @@
 !                +d_tr_bcscav(i,k,it)*(paprs(i,k)-paprs(i,k+1))/RG  &
 !                +d_tr_evap(i,k,it)*(paprs(i,k)-paprs(i,k+1))/RG
-!      IF(it.eq.3) WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)'),&
+!      IF(it.EQ.3) WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)'),&
 !      k,'lsc conserv ',conserv,'insc',d_tr_insc(i,k,it),'bc',d_tr_bcscav(i,k,it),'ev',d_tr_evap(i,k,it)
 !       ENDDO
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.f90	(revision 5117)
@@ -24,5 +24,5 @@
   zqmax = zq(ijmax, lmax)
 
-  IF(zqmin<qmin.or.zqmax>qmax) &
+  IF(zqmin<qmin.OR.zqmax>qmax) &
           WRITE(*, 9999) comment, &
                   ijmin, lmin, zqmin, ijmax, lmax, zqmax
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.f90	(revision 5117)
@@ -25,5 +25,5 @@
   zqmax = zq(ijmax, lmax)
 
-  IF(zqmin<qmin.or.zqmax>qmax) &
+  IF(zqmin<qmin.OR.zqmax>qmax) &
           WRITE(*, 9999) comment, &
                   ijmin, lmin, zqmin, ijmax, lmax, zqmax
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/neutral.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/neutral.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/neutral.f90	(revision 5117)
@@ -43,7 +43,7 @@
   do i = 1, klon
 
-    if (u10_mps(i) < 0.) u10_mps(i) = 0.0
+    IF (u10_mps(i) < 0.) u10_mps(i) = 0.0
 
-    if  (obklen_m(i) < 0.) THEN
+    IF  (obklen_m(i) < 0.) THEN
       phi = (1. - 160. / obklen_m(i))**(-0.25)
       phi_inv = 1. / phi
@@ -55,5 +55,5 @@
       f3 = atan(dum1)
       psi = 2. * log(f1) + log(f2) - 2. * f3 + pi / 2.
-    else if (obklen_m(i) > 0.) THEN
+    ELSE IF (obklen_m(i) > 0.) THEN
       psi = -50. / obklen_m(i)
     end if
@@ -61,8 +61,8 @@
     u10n_mps(i) = u10_mps(i) + (ustar_mps(i) * psi / von_karman)
     ! u10n set to 0. if -1 < obklen < 20
-    if ((obklen_m(i)>-1.).and.(obklen_m(i)<20.)) THEN
+    IF ((obklen_m(i)>-1.).AND.(obklen_m(i)<20.)) THEN
       u10n_mps(i) = 0.
     endif
-    if (u10n_mps(i) < 0.) u10n_mps(i) = 0.0
+    IF (u10n_mps(i) < 0.) u10n_mps(i) = 0.0
 
   enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5117)
@@ -393,5 +393,5 @@
     ! ug Pour les sorties XIOS
     USE lmdz_xios, ONLY: xios_update_calendar, using_xios
-    USE wxios, ONLY: wxios_closedef, missing_val_xios => missing_val
+    USE lmdz_wxios, ONLY: wxios_closedef, missing_val_xios => missing_val
     USE phys_cal_mod, ONLY: mth_len
     USE lmdz_yomcst
@@ -928,5 +928,5 @@
           CALL histwrite_phy(o_wdtrainA, wdtrainA)
           CALL histwrite_phy(o_wdtrainM, wdtrainM)
-       ENDIF !(iflag_con.EQ.3.or.iflag_con.EQ.30)
+       ENDIF !(iflag_con.EQ.3.OR.iflag_con.EQ.30)
 !!! nrlmd le 10/04/2012
        IF (iflag_trig_bl>=1) THEN
@@ -1067,5 +1067,5 @@
           CALL histwrite_phy(o_swsrfcs_ant, solsw0_aero(:,2))
           !cf
-          IF (.not. aerosol_couple) THEN
+          IF (.NOT. aerosol_couple) THEN
              CALL histwrite_phy(o_swtoacf_nat, topswcf_aero(:,1))
              CALL histwrite_phy(o_swsrfcf_nat, solswcf_aero(:,1))
@@ -1219,5 +1219,5 @@
           ENDIF
           CALL histwrite_phy(o_tntc, zx_tmp_fi3d)
-       ELSEIF (iflag_thermals>=1.and.iflag_wake==1)THEN
+       ELSEIF (iflag_thermals>=1.AND.iflag_wake==1)THEN
           IF (vars_defined) THEN
              zx_tmp_fi3d(1:klon,1:klev)=d_t_con(1:klon,1:klev)/pdtphys + &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5117)
@@ -828,25 +828,25 @@
     !  -------
 
-    real, intent(in) :: pdtphys  ! pas d'integration pour la physique (seconde)
-    REAL, intent(in) :: jD_cur, jH_cur
-    real, intent(in) :: ftsol(klon, nbsrf)  ! temperature du sol par type
-    real, intent(in) :: t_seri(klon, klev)  ! temperature
-    real, intent(in) :: u_seri(klon, klev)  ! vent
-    real, intent(in) :: v_seri(klon, klev)  ! vent
-    real, intent(in) :: q_seri(klon, klev)  ! vapeur d eau kg/kg
+    REAL, INTENT(IN) :: pdtphys  ! pas d'integration pour la physique (seconde)
+    REAL, INTENT(IN) :: jD_cur, jH_cur
+    REAL, INTENT(IN) :: ftsol(klon, nbsrf)  ! temperature du sol par type
+    REAL, INTENT(IN) :: t_seri(klon, klev)  ! temperature
+    REAL, INTENT(IN) :: u_seri(klon, klev)  ! vent
+    REAL, INTENT(IN) :: v_seri(klon, klev)  ! vent
+    REAL, INTENT(IN) :: q_seri(klon, klev)  ! vapeur d eau kg/kg
 
     LOGICAL, INTENT(IN) :: lafin
 
-    real tr_seri(klon, klev, nbtr) ! traceur
-    real tmp_var(klon, klev) ! auxiliary variable to replace traceur
-    real tmp_var2(klon, nbtr) ! auxiliary variable to replace source
-    real tmp_var3(klon, klev, nbtr) ! auxiliary variable 3D
-    real dummy1d ! JE auxiliary variable
-    real aux_var2(klon) ! auxiliary variable to replace traceur
-    real aux_var3(klon, klev) ! auxiliary variable to replace traceur
-    real d_tr(klon, klev, nbtr)    ! traceur  tendance
-    real sconc_seri(klon, nbtr) ! surface concentration of traceur
-
-    integer nbjour
+    REAL tr_seri(klon, klev, nbtr) ! traceur
+    REAL tmp_var(klon, klev) ! auxiliary variable to replace traceur
+    REAL tmp_var2(klon, nbtr) ! auxiliary variable to replace source
+    REAL tmp_var3(klon, klev, nbtr) ! auxiliary variable 3D
+    REAL dummy1d ! JE auxiliary variable
+    REAL aux_var2(klon) ! auxiliary variable to replace traceur
+    REAL aux_var3(klon, klev) ! auxiliary variable to replace traceur
+    REAL d_tr(klon, klev, nbtr)    ! traceur  tendance
+    REAL sconc_seri(klon, nbtr) ! surface concentration of traceur
+
+    INTEGER nbjour
     save nbjour
     !$OMP THREADPRIVATE(nbjour)
@@ -898,12 +898,12 @@
     !JE20150518>>
 
-    real, intent(in) :: paprs(klon, klev + 1)  ! pression pour chaque inter-couche (en Pa)
-    real, intent(in) :: pplay(klon, klev)  ! pression pour le mileu de chaque couche (en Pa)
-    real, intent(in) :: RHcl(klon, klev)  ! humidite relativen ciel clair
-    real znivsig(klev)  ! indice des couches
-    real paire(klon)
-    real, intent(in) :: pphis(klon)
-    real, intent(in) :: pctsrf(klon, nbsrf)
-    logical, intent(in) :: debutphy   ! le flag de l'initialisation de la physique
+    REAL, INTENT(IN) :: paprs(klon, klev + 1)  ! pression pour chaque inter-couche (en Pa)
+    REAL, INTENT(IN) :: pplay(klon, klev)  ! pression pour le mileu de chaque couche (en Pa)
+    REAL, INTENT(IN) :: RHcl(klon, klev)  ! humidite relativen ciel clair
+    REAL znivsig(klev)  ! indice des couches
+    REAL paire(klon)
+    REAL, INTENT(IN) :: pphis(klon)
+    REAL, INTENT(IN) :: pctsrf(klon, nbsrf)
+    logical, INTENT(IN) :: debutphy   ! le flag de l'initialisation de la physique
 
     !  Scaling Parameters:
@@ -950,10 +950,10 @@
     !  -----------
 
-    REAL, intent(in) :: pmfu(klon, klev)  ! flux de masse dans le panache montant
-    REAL, intent(in) :: pmfd(klon, klev)  ! flux de masse dans le panache descendant
-    REAL, intent(in) :: pen_u(klon, klev) ! flux entraine dans le panache montant
-    REAL, intent(in) :: pde_u(klon, klev) ! flux detraine dans le panache montant
-    REAL, intent(in) :: pen_d(klon, klev) ! flux entraine dans le panache descendant
-    REAL, intent(in) :: pde_d(klon, klev) ! flux detraine dans le panache descendant
+    REAL, INTENT(IN) :: pmfu(klon, klev)  ! flux de masse dans le panache montant
+    REAL, INTENT(IN) :: pmfd(klon, klev)  ! flux de masse dans le panache descendant
+    REAL, INTENT(IN) :: pen_u(klon, klev) ! flux entraine dans le panache montant
+    REAL, INTENT(IN) :: pde_u(klon, klev) ! flux detraine dans le panache montant
+    REAL, INTENT(IN) :: pen_d(klon, klev) ! flux entraine dans le panache descendant
+    REAL, INTENT(IN) :: pde_d(klon, klev) ! flux detraine dans le panache descendant
 
     !  Convection KE scheme:
@@ -1023,6 +1023,6 @@
     !  ---------
 
-    REAL, intent(in) :: pmflxr(klon, klev + 1), pmflxs(klon, klev + 1)   !--convection
-    REAL, intent(in) :: prfl(klon, klev + 1), psfl(klon, klev + 1)     !--large-scale
+    REAL, INTENT(IN) :: pmflxr(klon, klev + 1), pmflxs(klon, klev + 1)   !--convection
+    REAL, INTENT(IN) :: prfl(klon, klev + 1), psfl(klon, klev + 1)     !--large-scale
     REAL :: ql_incl ! contenu en eau liquide nuageuse dans le nuage ! ql_incl=oliq/rneb
     REAL :: ql_incloud_ref    ! ref value of in-cloud condensed water content
@@ -1047,8 +1047,8 @@
     !  --------------
 
-    REAL, intent(in) :: coefh(klon, klev) ! coeff melange CL
-    REAL, intent(in) :: cdragh(klon), cdragm(klon)
-    REAL, intent(in) :: yu1(klon)        ! vent dans la 1iere couche
-    REAL, intent(in) :: yv1(klon)        ! vent dans la 1iere couche
+    REAL, INTENT(IN) :: coefh(klon, klev) ! coeff melange CL
+    REAL, INTENT(IN) :: cdragh(klon), cdragm(klon)
+    REAL, INTENT(IN) :: yu1(klon)        ! vent dans la 1iere couche
+    REAL, INTENT(IN) :: yv1(klon)        ! vent dans la 1iere couche
 
 
@@ -1071,6 +1071,6 @@
     !  -----------
 
-    REAL, intent(in) :: rlat(klon)       ! latitudes pour chaque point
-    REAL, intent(in) :: rlon(klon)       ! longitudes pour chaque point
+    REAL, INTENT(IN) :: rlat(klon)       ! latitudes pour chaque point
+    REAL, INTENT(IN) :: rlon(klon)       ! longitudes pour chaque point
 
     INTEGER i, k, iq, itr, j, ig
@@ -1164,5 +1164,5 @@
     !      REAL his_g2paer(klon)      ! gastoparticle in aerosol units (check!)
 
-    INTEGER, intent(in) :: iflag_conv
+    INTEGER, INTENT(IN) :: iflag_conv
     LOGICAL iscm3  ! debug variable. for checkmass ! JE
 
@@ -1213,5 +1213,5 @@
     source_tr = 0.
 
-    if (debutphy) THEN
+    IF (debutphy) THEN
 #ifdef IOPHYS_DUST
          CALL iophys_ini(pdtphys)
@@ -1394,13 +1394,13 @@
       enddo
       ! check consistency with dust emission scheme:
-      if (ok_chimeredust) THEN
-        if (.not.(id_scdu>0 .and. id_codu>0 .and. id_fine>0)) THEN
+      IF (ok_chimeredust) THEN
+        IF (.NOT.(id_scdu>0 .AND. id_codu>0 .AND. id_fine>0)) THEN
           CALL abort_gcm('phytracr_mod', 'pb in ok_chimdust 0', 1)
         endif
       else
-        if (id_scdu>0) THEN
+        IF (id_scdu>0) THEN
           CALL abort_gcm('phytracr_mod', 'pb in ok_chimdust 1 SCDU', 1)
         endif
-        if ((id_codu <= 0) .or. (id_fine<=0)) THEN
+        IF ((id_codu <= 0) .OR. (id_fine<=0)) THEN
           CALL abort_gcm('phytracr_mod', 'pb in ok_chimdust 1', 1)
         endif
@@ -1521,5 +1521,5 @@
 
     iscm3 = .FALSE.
-    if (debutphy) THEN
+    IF (debutphy) THEN
       !$OMP MASTER
       CALL suphel
@@ -4442,15 +4442,15 @@
     REAL scale_param(nbreg)
     !local vars
-    integer nid, ierr, nvarid
-    real rcode, auxreal
-    integer start(4), count(4), status
+    INTEGER nid, ierr, nvarid
+    REAL rcode, auxreal
+    INTEGER start(4), count(4), status
     !      local
     CHARACTER*104 varname
     CHARACTER*2 aux_2s
-    integer i, j, ig
+    INTEGER i, j, ig
     !$OMP MASTER
     IF (is_mpi_root .AND. is_omp_root) THEN
       ierr = nf90_open(trim(adjustl(filescaleparams)), nf90_nowrite, nid)
-      if (ierr == nf90_noerr) THEN
+      IF (ierr == nf90_noerr) THEN
         do i = 1, nbreg
           WRITE(aux_2s, '(i2.2)') i
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/precuremission.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/precuremission.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/precuremission.f90	(revision 5117)
@@ -98,5 +98,5 @@
           tsol, pctsrf, lmt_dmsconc, lmt_dms)
 
-  IF (.not.bateau) THEN
+  IF (.NOT.bateau) THEN
     DO i = 1, klon
       lmt_so2ba(i) = 0.0
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_dust.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_dust.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_dust.f90	(revision 5117)
@@ -26,5 +26,5 @@
   !$OMP MASTER
   IF (is_mpi_root .AND. is_omp_root) THEN
-    if (debutphy) THEN
+    IF (debutphy) THEN
       ncid1 = nf90_open('dust.nc', nf90_nowrite, rcode)
       varid1 = nf90_inq_varid(ncid1, 'EMISSION', rcode)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.f90	(revision 5117)
@@ -30,5 +30,5 @@
   INCLUDE 'chem_spla.h'
 
-  logical :: debutphy, lafinphy, edgar
+  LOGICAL :: debutphy, lafinphy, edgar
   INTEGER :: test_vent, test_day, step_vent, flag_dms, nbjour
   INTEGER :: julien, i, iday
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90	(revision 5117)
@@ -18,27 +18,27 @@
        character*10 varname
 
-       real tmp_dyn(iip1,jjp1)
-       real tmp_dyn_glo(nbp_lon+1,nbp_lat)
+       REAL tmp_dyn(iip1,jjp1)
+       REAL tmp_dyn_glo(nbp_lon+1,nbp_lat)
        REAL tmp_dyn_invers(iip1,jjp1)
-       real tmp_dyn_invers_glo(nbp_lon+1,nbp_lat)
-       real tmp_fi(klon)
-       real tmp_fi_glo(klon_glo)
-       real surfa(klon,5)
-       real surfa_glo(klon_glo,5)
+       REAL tmp_dyn_invers_glo(nbp_lon+1,nbp_lat)
+       REAL tmp_fi(klon)
+       REAL tmp_fi_glo(klon_glo)
+       REAL surfa(klon,5)
+       REAL surfa_glo(klon_glo,5)
 
-       integer ncid
-       integer varid
-       integer rcode
-       integer start(2),count(2),status
-       integer i,j,l,ig
+       INTEGER ncid
+       INTEGER varid
+       INTEGER rcode
+       INTEGER start(2),count(2),status
+       INTEGER i,j,l,ig
        character*1 str1
 
 !JE20140526<<
       character*4 ::  latstr,aux4s
-      logical :: outcycle, isinversed
-      real, dimension(jjp1) :: lats
-      real, dimension(nbp_lat) :: lats_glo
+      LOGICAL :: outcycle, isinversed
+      REAL, DIMENSION(jjp1) :: lats
+      REAL, DIMENSION(nbp_lat) :: lats_glo
       REAL :: rcode2
-      integer, dimension(1) :: startj,endj
+      INTEGER, DIMENSION(1) :: startj,endj
 !JE20140526>>
 !$OMP MASTER
@@ -53,13 +53,13 @@
       isinversed=.FALSE.
       do i=1,5
-       if (i==1) aux4s='latu'
-       if (i==2) aux4s='LATU'
-       if (i==3) aux4s='LatU'
-       if (i==4) aux4s='Latu'
-       if (i==5) aux4s='latU'
+       IF (i==1) aux4s='latu'
+       IF (i==2) aux4s='LATU'
+       IF (i==3) aux4s='LatU'
+       IF (i==4) aux4s='Latu'
+       IF (i==5) aux4s='latU'
        status = nf90_inq_varid (ncid, aux4s, rcode)
 !       print *,'stat,i',status,i,outcycle,aux4s
 !       print *,'ifclause',status.NE. nf90_noerr ,outcycle == .FALSE.
-       IF ((.not.(status/= nf90_noerr) ).and.( .not. outcycle )) THEN
+       IF ((.NOT.(status/= nf90_noerr) ).AND.( .NOT. outcycle )) THEN
          outcycle=.TRUE.
          latstr=aux4s
@@ -78,5 +78,5 @@
 
 ! check if netcdf is latitude inversed or not. 
-      if (lats_glo(1)<lats_glo(2)) isinversed=.TRUE.
+      IF (lats_glo(1)<lats_glo(2)) isinversed=.TRUE.
 ! JE20140526>>
 
@@ -118,5 +118,5 @@
 !JE20140526<<
 !              CALL gr_dyn_fi(1, iip1, jjp1, klon, tmp_dyn_invers, tmp_fi)
-           if (isinversed) THEN
+           IF (isinversed) THEN
                         CALL gr_dyn_fi(1, nbp_lon+1, nbp_lat, klon_glo, &
    tmp_dyn_invers_glo, tmp_fi_glo)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90	(revision 5117)
@@ -26,5 +26,5 @@
   !$OMP MASTER
   IF (is_mpi_root .AND. is_omp_root) THEN
-    if (debutphy) THEN
+    IF (debutphy) THEN
       ncidu1 = nf90_open('u10m.nc', nf90_nowrite, rcode)
       varidu1 = nf90_inq_varid(ncidu1, 'U10M', rcode)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/satellite_out_spla.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/satellite_out_spla.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/satellite_out_spla.F90	(revision 5117)
@@ -16,5 +16,5 @@
   INTEGER :: i
   REAL :: overpassaqua, overpassterra
-  REAL,dimension(klon) :: rlat,rlon
+  REAL,DIMENSION(klon) :: rlat,rlon
 
 
